> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.trypila.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Funds

> An endpoint that allows your user to transfer funds from wallet created to any Nigerian Bank Account

```text [POST] theme={null}
{{baseUrl}}/api/v1/wallet/ngn/transfer

```

### Header

| Header | Type | Description |
| - | - | - |
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |

### Body parameter

| Parameter | Type | Description | |
| - | - | - | - |
| wallet\_id \* | string | The unique wallet ID | required |
| amount \* | string | Amount to transfer | required |
| recipient\_bank\_code \* | string | Bank code associated with the recipient bank | required |
| recipient\_account\_number \* | string | Account number of the recipient bank | required |
| source \* | string | Source of the transfer. Value is either "pool" or "wallet" | required |

### Sample response

```json Response theme={null}
{
  "entity": {
    "wallet_id": "ecb6c29e-a31c-4e38-8e66-62j0e731db0d",
    "transaction_amount": 10,
    "transaction_type": "transfer",
    "recipient_account_number": "0129531833",
    "sender_account_number": "1004302810",
    "transaction_remarks": "",
    "transaction_reason": null,
    "transaction_id": "Pila-6bddb725-2ca9-31c0-b0fb-13f7f11adf90",
    "transaction_status": "PROCESSING",
    "date_created": "2021-07-19T10:44:03.610405Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.